Subject: Re: bug#46877: Guix assumes ideal network exists, does not

From: Leo Famulari <[email-masked]>
Date: Tue, 2 Mar 2021 14:55:02 -0500

On Tue, Mar 02, 2021 at 05:32:50PM +0100, Tobias Geerinckx-Rice via Bug reports for GNU Guix wrote:
> Guixfriends,
> 
> Errors like the one below are omnipresent.  It's a problem.
> 
> Expecting an ever-increasing (16k+?) number of requests to finish flawlessly
> or aborting a very long (20+ minutes here) process is doomed.
> 
> We don't seem to have a plan forward (I include myself!).  Looking at other
> package managers, a blunt ‘retry a finite number of times’ seems common.
> Guix's ‘pretend that "transient" is a magic powerword’ approach less so.
> 
> What do people think?  Does the heavy pipelining complicate matters?
> 
> --8<---------------cut here---------------start------------->8---
> ~ $ guix weather --substitute-urls=https://guix.tobias.gr

I sometimes see similar failures with `guix weather`.

To clarify, do you also see them when substituting? Or just when
checking for substitutes?